List services
curl --request GET \
--url https://api.mysoleas.com/service/list \
--header 'x-sp-auth-token: <api-key>'import requests
url = "https://api.mysoleas.com/service/list"
headers = {"x-sp-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-sp-auth-token': '<api-key>'}};
fetch('https://api.mysoleas.com/service/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"success": true,
"locale": "fr",
"message": "<string>",
"meta": {},
"data": [
{
"id": 123,
"code": "mtn_cmr",
"description": "<string>",
"provider": "mtn_cmr",
"country": "CMR",
"currency": "XAF",
"type": "CRYPTOCURRENCY",
"is_active": true,
"is_public": true,
"is_need_otp": true,
"is_can_collect": true,
"is_can_disburse": true,
"is_can_swap": true,
"confirmation_method": "MSISDN",
"confirmation_helper": "Veuillez composer le #150*50# pour finaliser le payment.",
"otp_helper": {},
"updated_at": "<string>"
}
]
}Catalog
List services
GET
/
service
/
list
List services
Authorizations
JWT Bearer emis par Mysoleas Identity Cloud. Format: Bearer <access_token>.
Query Parameters
Example:
"CMR"
Example:
"XAF"
Required range:
x >= 1Required range:
1 <= x <= 100⌘I
